package com.qiyou.mb.android.beans.basic;

import java.util.ArrayList;

import android.text.TextUtils;

import com.qiyou.mb.android.utils.Utils;
import com.qiyou.mb.android.utils.enums.ActivityStatus;
import com.qiyou.mb.android.utils.enums.ActivityType;

public class Activity_bean {
	 
//private int id;
private int svrNumber;
private String name;
public int getSvrNumber() {
	return svrNumber;
}
public void setSvrNumber(int svrNumber) {
	this.svrNumber = svrNumber;
}
public String getName() {
	return name;
}
public void setName(String name) {
	this.name = name;
}
 
public long getStartDate() {
	return startDate;
}
public void setStartDate(long startDate) {
	this.startDate = startDate;
}
public long getEndDate() {
	return endDate;
}
public void setEndDate(long endDate) {
	this.endDate = endDate;
}
public String getLocation() {
	return location;
}
public void setLocation(String location) {
	this.location = location;
}
public ActivityType getType() {
	return type;
}
public void setType(ActivityType type) {
	this.type = type;
}
public String getDescription() {
	return description;
}
public void setDescription(String description) {
	this.description = description;
}
public ArrayList<Integer> getRoadbooks() {
	if(roadbooks==null){
		roadbooks=new ArrayList<Integer>();
	}
	return roadbooks;
}
public void setRoadbooks(ArrayList<Integer> roadbooks) {
	this.roadbooks = roadbooks;
}
public GEO_bean getStartGeo() {
	if(startGeo==null ){
		if(!TextUtils.isEmpty(startJsonString )){	
			startGeo =(GEO_bean) Utils.getGsonObject(startJsonString, GEO_bean.class);
		}
		if(startGeo==null){
			startGeo= new GEO_bean();
		}
	}
	return startGeo;
}
public void setStartGeo(GEO_bean startGeo) {
	this.startGeo = startGeo;
}
public GEO_bean getEndGeo() {
	if(endGeo==null){
		if(!TextUtils.isEmpty(endJsonString )){	
			endGeo =(GEO_bean) Utils.getGsonObject(endJsonString, GEO_bean.class);
		}
		if(endGeo==null){
			endGeo= new GEO_bean();
		}
	}
	return endGeo;
}
public void setEndGeo(GEO_bean endGeo) {
	this.endGeo = endGeo;
}
public ActivityStatus getStatus() {
	if(status==null){
		status =ActivityStatus.ACTIVE;
	}
	return status;
}
public void setStatus(ActivityStatus status) {
	this.status = status;
}
public long getLastupdated() {
	return lastupdated;
}
public void setLastupdated(long lastupdated) {
	this.lastupdated = lastupdated;
}
public String getStartJsonString() {
	return startJsonString;
}
public void setStartJsonString(String startJsonString) {
	this.startJsonString = startJsonString;
}
public String getEndJsonString() {
	return endJsonString;
}
public void setEndJsonString(String getEndJsonString) {
	this.endJsonString = getEndJsonString;
}
//private float distrange=-1f;
private int userId; 
private String userName;
private long startDate;
private long endDate;
private String location;  
private ActivityType type =ActivityType.PUBLIC ;  
private String description;
private ArrayList<Integer> roadbooks;
private GEO_bean startGeo;
private GEO_bean endGeo;
private ActivityStatus status =ActivityStatus.ACTIVE;
private long lastupdated;
private String startJsonString;
private String endJsonString;
private String startPlace;
private String startAddress;
private String endPlace;
private String endAddress;
private String startAddressUrl;
private String endAddressUrl;
private float rateLevel;
private float lat;
private float lon;
private String album;
private float distance;
private float avSpeed;
private ArrayList<Integer> days;
private boolean repeatable;
private int userCnt;

public String getStartPlace() {
	return startPlace;
}
public void setStartPlace(String startPlace) {
	this.startPlace = startPlace;
}
public String getStartAddress() {
	return startAddress;
}
public void setStartAddress(String startAddress) {
	this.startAddress = startAddress;
}
public String getEndPlace() {
	return endPlace;
}
public void setEndPlace(String endPlace) {
	this.endPlace = endPlace;
}
public String getEndAddress() {
	return endAddress;
}
public void setEndAddress(String endAddress) {
	this.endAddress = endAddress;
}
public float getRateLevel() {
	return rateLevel;
}
public void setRateLevel(float rateLevel) {
	this.rateLevel = rateLevel;
}
public float getLat() {
	return lat;
}
public void setLat(float lat) {
	this.lat = lat;
}
public float getLon() {
	return lon;
}
public void setLon(float lon) {
	this.lon = lon;
}
/*public float getDistrange() {
	return distrange;
}
public void setDistrange(float distrange) {
	this.distrange = distrange;
}*/
public String getUserName() {
	return userName;
}
public void setUserName(String userName) {
	this.userName = userName;
}
public float getDistance() {
	return distance;
}
public void setDistance(float distance) {
	this.distance = distance;
}
public float getAvSpeed() {
	return avSpeed;
}
public void setAvSpeed(float avSpeed) {
	this.avSpeed = avSpeed;
}
public ArrayList<Integer> getDays() {
	if(days==null){
		days= new ArrayList<Integer>();
	}
	return days;
}
public void setDays(ArrayList<Integer> days) {
	this.days = days;
}
 
public boolean isRepeatable() {
	return repeatable;
}
public void setRepeatable(boolean repeatable) {
	this.repeatable = repeatable;
}
public int getUserId() {
	return userId;
}
public void setUserId(int userId) {
	this.userId = userId;
}
public String getStartAddressUrl() {
	return startAddressUrl;
}
public void setStartAddressUrl(String startAddressUrl) {
	this.startAddressUrl = startAddressUrl;
}
public String getEndAddressUrl() {
	return endAddressUrl;
}
public void setEndAddressUrl(String endAddressUrl) {
	this.endAddressUrl = endAddressUrl;
}
public int getUserCnt() {
	return userCnt;
}
public void setUserCnt(int userCnt) {
	this.userCnt = userCnt;
}
public String getAlbum() {
	return album;
}
public void setAlbum(String album) {
	this.album = album;
}



 

}
